EDIT - bug #9600

Delete of taxon with unselected name delete returns warning
05/03/2021 02:50 PM - Katja Luther

Status: In Progress Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal Found in Version:

Description
The name deletion was explicitly not selected but there are several warnings:

3% Operation successful but with warnings O *

Delete Taxon Node operation executed sucessfully but with warnings.
Please click on the 'Details’ button to see all the errors / warnings

o | [ocomn |

Mame can't be deleted as it is used in concept(s). Remove or change concept prior to deletion.
Mame can't be deleted as it is used in concept(s). Remove or change concept prior to deletion.
Marne can't be deleted as it is used in concept(s). Remove or change concept prior to deletion.
Marne can't be deleted as it is used in concept(s). Remove or change concept prior to deletion.
| |MName can't be deleted as it is a basionym. -
57 Marne can't be deleted as it is a basionym.
Marne can't be deleted as it is used in concepti(s). Remove or change concept prior to deletion. -
Marne can't be deleted as it is used in concepti(s). Remove or change concept prior to deletion.
Marne can't be deleted as it is a basionym.

Marne can't be deleted as it is a basionym.

Marne can't be deleted as it is used in concept(s). Remove or change concept prior to deletion.
Marne can't be deleted as it is used in concept(s). Remove or change concept prior to deletion,
Marne can't be deleted as it is a basionym.

Marne can't be deleted as it is a basionym.

Mame can't be deleted as it is used in concept(s). Remove or change concept prior to deletion.
Mame can't be deleted as it is used in concept(s). Remove or change concept prior to deletion.
Mame can't be deleted as it is a basionym.

Mame can't be deleted as it is a basionym.

Marne can't be deleted as it is used in concept(s). Remove or change concept prior to deletion.
Marne can't be deleted as it is used in concept(s). Remove or change concept prior to deletion.

History

#1 - 05/03/2021 02:50 PM - Katja Luther
- Category set to cdmlib
- Assignee set to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.25

#2 - 05/27/2021 02:24 PM - Katja Luther

- Status changed from New to In Progress

The exceptions where caused by the names of the synonyms (but there are more messages than synonyms, this needs to be checked as well), the
error message should contain more informations about which object is meant.

#3 - 07/16/2021 02:52 PM - Andreas Miuller

- Target version changed from Release 5.25 to Release 5.45

Files

04/03/2024 12




picture757-1.png 30.8 KB 05/03/2021 Katja Luther

04/03/2024 22


http://www.tcpdf.org

